REGULATOR_DISABLE_DE(9)

NAME
regulator_disable_deferred - disable regulator output with delay

SYNOPSIS

int regulator_disable_deferred(struct regulator * regulator, int ms);

ARGUMENTS

regulator
    regulator source

ms
    miliseconds until the regulator is disabled

DESCRIPTION

Execute regulator_disable on the regulator after a delay. This is intended for use with devices that require some time to quiesce.

NOTE

this will only disable the regulator output if no other consumer devices have it enabled, the regulator device supports disabling and machine constraints permit this operation.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT